import request from '@/utils/request'

// 查询商品错误提示列表
export function listPrdErrorTip(query) {
  return request({
    url: '/jarvis/prdErrorTip/list',
    method: 'get',
    params: query
  })
}

// 查询商品错误提示详细
export function getPrdErrorTip(id) {
  return request({
    url: '/jarvis/prdErrorTip/' + id,
    method: 'get'
  })
}

// 新增商品错误提示
export function addPrdErrorTip(data) {
  return request({
    url: '/jarvis/prdErrorTip',
    method: 'post',
    data: data
  })
}

// 修改商品错误提示
export function updatePrdErrorTip(data) {
  return request({
    url: '/jarvis/prdErrorTip',
    method: 'put',
    data: data
  })
}

// 删除商品错误提示
export function delPrdErrorTip(id) {
  return request({
    url: '/jarvis/prdErrorTip/' + id,
    method: 'delete'
  })
}

// 批量删除商品错误提示
export function delPrdErrorTips(ids) {
  return request({
    url: '/jarvis/prdErrorTip/' + ids,
    method: 'delete'
  })
}

// 根据错误代码和子代码查询错误提示
export function getPrdErrorTipByCode(errCode, errSubCode) {
  return request({
    url: '/jarvis/prdErrorTip/getByCode/' + errCode + '/' + errSubCode,
    method: 'get'
  })
}
